<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'laraautos',

    /*
     * Package.
     */
    'package'   => 'favourite',

    /*
     * Modules.
     */
    'modules'   => ['favourite'],

    
    'favourite'       => [
        'model' => [
            'model' => \Laraautos\Favourite\Models\Favourite::class,
            'repository' => \Laraautos\Favourite\Repositories\Eloquent\FavouriteRepository::class,
            'table' => 'favourites',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'car_id',  'user_id',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'favourite/favourite',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Favourite',
            'module' => 'Favourite',
        ],
    ],
];
