<?php

namespace Laraautos\Favourite;

use User;

class Favourite
{
    /**
     * $favourite object.
     */
    protected $favourite;

    /**
     * Constructor.
     */
    public function __construct(\Laraautos\Favourite\Interfaces\FavouriteRepositoryInterface $favourite)
    {
        $this->favourite = $favourite;
    }

    /**
     * Returns count of favourite.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find favourite by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function favourite($slug)
    {
        return  $this->favourite
            ->findBySlug($slig)
            ->toArray();
    }
}
